package com.service;

import com.entity.Capital;

import java.util.List;
import java.util.Map;


public interface CapitalService {

//  添加应急资金信息
  public int add(Capital po);
//  获取单个应急资金信息
  public Capital getById(int id);
//  修改应急资金
  public int update(Capital po);
//  删除应急资金
  public int delete(int id);
//  查询应急资金
  public List<Capital> getAll(Map<String, Object> map);
//  验证应急资金名称
  public Capital checkName(Map<String, Object> account);
//  分页显示
  public List<Capital> getByPage(Map<String, Object> map);
//  获取信息的条数
  public int getCount(Map<String, Object> po);


}
